local Cryolysis2 = Cryolysis2
local L = AceLibrary("AceLocale-2.2"):new("Cryolysis2")

------------------------------------------------------------------------------------------------------
-- Update attribute of the Mount button
------------------------------------------------------------------------------------------------------
function Cryolysis2:UpdateMountButton()

	if Cryolysis2.Private.HasMount == false then  -- No mount
		Cryo2MountButtonIcon:SetTexture("Interface\\Icons\\INV_Misc_Rune_01")
		Cryo2MountButton:SetAttribute("type*", "item")			
		Cryo2MountButton:SetAttribute("item*", GetItemInfo("Hearthstone"))
	else
		Cryo2MountButtonIcon:SetTexture("Interface\\Icons\\"..Cryolysis2.Private.MountTex[Cryolysis2:FindMountIcon(Cryolysis2.db.profile.LeftMount)])
		Cryo2MountButton:SetAttribute("type1", "item")
		Cryo2MountButton:SetAttribute("item1", Cryolysis2.db.profile.LeftMount)
		Cryo2MountButton:SetAttribute("type2", "item")			
		Cryo2MountButton:SetAttribute("item2", Cryolysis2.db.profile.RightMount)
		Cryo2MountButton:SetAttribute("type3", "item")			
		Cryo2MountButton:SetAttribute("item3", select(1,GetItemInfo("Hearthstone")))
	end

end