local Cryolysis2 = Cryolysis2

function Cryolysis2:CreateMounts()
	Cryolysis2.Mounts = 
	{
		-- [1] Frostwolf Howler Icon
		{ 
			"Horn of the Frostwolf Howler"
		},
		-- [2] Ram Icon
		{
			"Stormpike Battle Charger",
			"Black Ram",
			"Black War Ram",
			"Brown Ram",
			"Frost Ram",
			"Gray Ram",
			"Swift Brown Ram",
			"Swift Gray Ram",
			"Swift White Ram",
			"White Ram",
			"Brewfest Ram",
			"Swift Brewfest Ram"
		}, 
		-- [3] Raptor Icon
		{
			"Swift Razzashi Raptor",
			"Swift Blue Raptor",
			"Swift Olive Raptor",
			"Swift Orange Raptor",
			"Whistle of the Black War Raptor",
			"Whistle of the Emerald Raptor",
			"Whistle of the Ivory Raptor",
			"Whistle of the Mottled Red Raptor",
			"Whistle of the Turquoise Raptor",
			"Whistle of the Violet Raptor"
		}, 
		-- [4] Yellow Tiger Icon
		{
			"Swift Zulian Tiger"
		}, 
		-- [5] Undead Horse Icon
		{
			"Deathcharger's Reins",
			"Blue Skeletal Horse",
			"Blue Skeletal Warhorse",
			"Brown Skeletal Horse",
			"Green Skeletal Warhorse",
			"Purple Skeletal Warhorse",
			"Red Skeletal Horse",
			"Red Skeletal Warhorse"
		}, 
		-- [6] Mechanostrider Icon
		{
			"Black Battlestrider",
			"Blue Mechanostrider",
			"Green Mechanostrider",
			"Icy Blue Mechanostrider Mod A",
			"Red Mechanostrider",
			"Swift Green Mechanostrider",
			"Swift White Mechanostrider",
			"Swift Yellow Mechanostrider",
			"Unpainted Mechanostrider",
			"White Mechanostrider Mod A"
		}, 
		-- [7] Brown Horse Icon
		{
			"Black Stallion Bridle",
			"Brown Horse Bridle",
			"Chestnut Mare Bridle",
			"Palomino Bridle",
			"Pinto Bridle",
			"Swift Brown Steed",
			"Swift Palomino",
			"Swift White Steed",
			"White Stallion Bridle"
		}, 
		-- [8] Brown Kodo Icon
		{
			"Black War Kodo",
			"Brown Kodo",
			"Great Brown Kodo"
		}, 
		-- [9] War Steed Icon
		{
			"Black War Steed Bridle"
		}, 
		-- [10] Gray Kodo Icon
		{
			"Gray Kodo",
			"Great Gray Kodo",
			"Great White Kodo"
		}, 
		-- [11] Green Kodo Icon
		{
			"Green Kodo",
			"Teal Kodo"
		}, 
		-- [12] White Wolf Icon
		{
			"Horn of the Arctic Wolf",
			"Horn of the Dire Wolf",
			"Horn of the Swift Gray Wolf",
			"Horn of the Swift Timber Wolf"
		},
		-- [13] Black Wolf Icon
		{
			"Horn of the Black War Wolf",
			"Horn of the Brown Wolf",
			"Horn of the Red Wolf",
			"Horn of the Swift Brown Wolf",
			"Horn of the Timber Wolf"
		},
		-- [14] Black Tiger Icon
		{
			"Reins of the Black War Tiger",
			"Reins of the Striped Nightsaber"
		},
		-- [15] White Tiger Icon
		{
			"Reins of the Frostsaber",
			"Reins of the Nightsaber",
			"Reins of the Spotted Frostsaber",
			"Reins of the Striped Frostsaber",
			"Reins of the Swift Frostsaber",
			"Reins of the Swift Mistsaber",
			"Reins of the Swift Stormsaber"
		}, 
		-- [16] Red Tiger Icon
		{
			"Reins of the Winterspring Frostsaber"
		}, 
		-- [17] Black Qiraji Resonating Crystal
		{
			"Black Qiraji Resonating Crystal"
		}, 
		-- [18] Talbuk Icon
		{
			"Reins of the Dark War Talbuk",
			"Reins of the Cobalt Riding Talbuk",
			"Reins of the Cobalt War Talbuk",
			"Reins of the Silver War Talbuk",
			"Reins of the Silver Riding Talbuk",
			"Reins of the Tan Riding Talbuk",
			"Reins of the Tan War Talbuk",
			"Reins of the White Riding Talbuk",
			"Reins of the White War Talbuk"
		}, 
		-- [19] Brown Elekk Icon
		{
			"Brown Elekk"
		}, 
		-- [20] Gray Elekk Icon
		{
			"Gray Elekk"
		}, 
		-- [21] Purple Elekk Icon
		{
			"Purple Elekk"
		}, 
		-- [22] Great Blue Elekk Icon
		{
			"Great Blue Elekk"
		}, 
		-- [23] Great Green Elekk Icon
		{
			"Great Green Elekk"
		}, 
		-- [24] Great Purple Elekk Icon
		{
			"Great Purple Elekk"
		}, 
		-- [24] Reins of the Black War Elekk Icon
		{
			"Reins of the Black War Elekk"
		}, 
		-- [25] Hawkstrider Icon
		{
			"Black Hawkstrider"
		}, 
		-- [26] Hawkstrider Icon
		{
			"Blue Hawkstrider"
		}, 
		-- [27] Hawkstrider Icon
		{
			"Purple Hawkstrider"
		}, 
		-- [28] Hawkstrider Icon
		{
			"Red Hawkstrider"
		}, 
		-- [29] Hawkstrider Icon
		{
			"Swift Green Hawkstrider", 
            "Swift White Hawkstrider"
		}, 
		-- [30] Hawkstrider Icon
		{
			"Swift Pink Hawkstrider"
		}, 
		-- [31] Hawkstrider Icon
		{
			"Swift Purple Hawkstrider"
		}, 
		-- [32] Fiery Warhorse Icon
		{
			"Fiery Warhorse's Reins"
		}, 
		-- [33] Broom Icon
		{
			"Magic Broom",
			"Swift Magic Broom"
		}, 
		-- [34] Bear Icon
		{
			"Amani War Bear"
		}, 
		-- [35] Warstrider Icon
		{
			"Swift Warstrider"
		}, 
		-- [36] Raven Lord Icon
		{
			"Reins of the Raven Lord"
		}, 
		-- [1] Gryphon Icon
		{
			"Ebon Gryphon",
			"Golden Gryphon",
			"Snowy Gryphon",
			"Swift Green Gryphon",
			"Swift Red Gryphon",
			"Swift Purple Gryphon",
			"Swift Blue Gryphon"
		}, 
		-- [2] Windrider Icon
		{
			"Blue Windrider",
			"Green Windrider",
			"Tawny Windrider",
			"Swift Green Windrider",
			"Swift Purple Windrider",
			"Swift Red Windrider",
			"Swift Yellow Windrider"
		}, 
		-- [3] Netherwing Drake Icon
		{
			"Reins of the Azure Netherwing Drake",
			"Reins of the Cobalt Netherwing Drake",
			"Reins of the Onyx Netherwing Drake",
			"Reins of the Purple Netherwing Drake",
			"Reins of the Veridian Netherwing Drake",
			"Reins of the Violet Netherwing Drake"
		}, 
		-- [4] Swift Nether Drake Icon
		{
			"Swift Nether Drake"
		}, 
		-- [5] Riding Nether Ray Icon
		{
			"Blue Riding Nether Ray",
			"Green Riding Nether Ray",
			"Purple Riding Nether Ray",
			"Red Riding Nether Ray",
			"Silver Riding Nether Ray"
		}, 
		-- [6] Broom Icon
		{
			"Flying Broom",
			"Swift Flying Broom"
		}, 
		-- [7] Flying Machine Icon (Non-epic)
		{
			"Flying Machine Control"
		}, 
		-- [8] Flying Machine Icon (Epic)
		{
			"Turbo-Charged Flying Machine Control"
		}, 
		-- [9] Cenarion Hippogryoh Icon
		{
			"Cenarion War Hippogryph"
		}, 
		-- [10] Alar Mount Icon
		{
			"Ashes of Al'ar"
		}, 
	}
end